Blender fails to detect my GPU #114759

Closed
opened 2023-11-12 14:06:03 +01:00 by Radoslav Lelchev · 6 comments

System Information
Operating system: Linux-6.1.57-gentoo-gentoo-dist-x86_64-12th_Gen_Intel-R-_Core-TM-_i3-12100F-with-glibc2.37 64 Bits, X11 UI
Graphics card: AMD Radeon RX 6400 (navi24, LLVM 16.0.6, DRM 3.49, 6.1.57-gentoo-gentoo-dist) AMD 4.6 (Core Profile) Mesa 23.1.8

Blender Version
Broken: version: 3.6.5, branch: unknown, commit date: 1970-01-01 00:00, hash: unknown
Worked: none (read the description)

Short description of error
[Please fill out a short description of the error here]

I updated HIP and ROCm to version 5.7.1 and my GPU isn't being detected by Blender now. This didn't use to happen (I had this issue before upgrading the drivers - #111847). The issue didn't start on a specific Blender version. hipconfig - https://pastebin.com/KTvdf5b8. rocminfo - https://pastebin.com/Zs5HigZb.

Exact steps for others to reproduce the error
[Please describe the exact steps needed to reproduce the issue]
[Based on the default startup or an attached .blend file (as simple as possible)]

  1. Open Blender's system preferences
  2. See "No compatible GPUs found for Cycles"
**System Information** Operating system: Linux-6.1.57-gentoo-gentoo-dist-x86_64-12th_Gen_Intel-R-_Core-TM-_i3-12100F-with-glibc2.37 64 Bits, X11 UI Graphics card: AMD Radeon RX 6400 (navi24, LLVM 16.0.6, DRM 3.49, 6.1.57-gentoo-gentoo-dist) AMD 4.6 (Core Profile) Mesa 23.1.8 **Blender Version** Broken: version: 3.6.5, branch: unknown, commit date: 1970-01-01 00:00, hash: `unknown` Worked: none (read the description) **Short description of error** [Please fill out a short description of the error here] I updated HIP and ROCm to version 5.7.1 and my GPU isn't being detected by Blender now. This didn't use to happen (I had this issue before upgrading the drivers - #111847). The issue didn't start on a specific Blender version. `hipconfig` - https://pastebin.com/KTvdf5b8. `rocminfo` - https://pastebin.com/Zs5HigZb. **Exact steps for others to reproduce the error** [Please describe the exact steps needed to reproduce the issue] [Based on the default startup or an attached .blend file (as simple as possible)] 1. Open Blender's system preferences 2. See "No compatible GPUs found for Cycles"
Radoslav Lelchev added the
Priority
Normal
Type
Report
Status
Needs Triage
labels 2023-11-12 14:06:04 +01:00

Does this happen with build from buildbot? https://builder.blender.org/download/daily/

I guess, that you have complied blender from sources since you use Gentoo and possibly HIP as well. We only provide "support" for official builds. This could be bug in Blender, but you will have to identify it in order for us to fix it.

Does this happen with build from buildbot? https://builder.blender.org/download/daily/ I guess, that you have complied blender from sources since you use Gentoo and possibly HIP as well. We only provide "support" for official builds. This could be bug in Blender, but you will have to identify it in order for us to fix it.
Richard Antalik added
Status
Needs Information from User
and removed
Status
Needs Triage
labels 2023-11-12 20:06:14 +01:00

Blender's 4.1 Alpha build still has this issue.

When I looked at the logs, there was a HIP hipInit: Invalid device error. After doing some research, it seems like this is the exact issue I am having. To fix it they upgraded the kernel to version 6.5. I can't really do that right now, because I am currently in Gentoo's stable sources, but I will try switching to testing.

Blender's 4.1 Alpha build still has this issue. When I looked at the logs, there was a `HIP hipInit: Invalid device` error. After doing some research, it seems like [this](https://github.com/NixOS/nixpkgs/issues/265371) is the exact issue I am having. To fix it they upgraded the kernel to version 6.5. I can't really do that right now, because I am currently in Gentoo's stable sources, but I will try switching to testing.

Thanks for update. In any case, I don't have HW to check. Let us know if anything changes or you have some clues.

Thanks for update. In any case, I don't have HW to check. Let us know if anything changes or you have some clues.
Richard Antalik added
Status
Needs Triage
and removed
Status
Needs Information from User
labels 2023-11-21 08:35:05 +01:00

I updated my kernel to 6.6.1 and now clicking on the HIP option makes Blender freeze. It's probably better to create another issue at this point.

I updated my kernel to 6.6.1 and now clicking on the HIP option makes Blender freeze. It's probably better to create another issue at this point.
Member

Hi, referring to #115670, problem was fixed after downgrading to 6.5.6 kernel. Can you check?

Hi, referring to #115670, problem was fixed after downgrading to 6.5.6 kernel. Can you check?
Pratik Borhade added
Status
Needs Information from User
and removed
Status
Needs Triage
labels 2023-12-08 06:20:23 +01:00
Member

amdgpu-install --usecase=hip / amdgpu-install -y may help in finding the GPU. We already have few reports about this so closing this instance
#114031 , #115729 , #110777 , #109431

Also check with proprietary drivers

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.

`amdgpu-install --usecase=hip` / `amdgpu-install -y` may help in finding the GPU. We already have few reports about this so closing this instance #114031 , #115729 , #110777 , #109431 Also check with proprietary drivers No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed. Thanks again for the report. If the problem persists please open a new report with the required information.
Blender Bot added
Status
Archived
and removed
Status
Needs Information from User
labels 2024-01-04 10:03:20 +01:00
Sign in to join this conversation.
No Label
Interest
Alembic
Interest
Animation & Rigging
Interest
Asset System
Interest
Audio
Interest
Automated Testing
Interest
Blender Asset Bundle
Interest
BlendFile
Interest
Collada
Interest
Compatibility
Interest
Compositing
Interest
Core
Interest
Cycles
Interest
Dependency Graph
Interest
Development Management
Interest
EEVEE
Interest
EEVEE & Viewport
Interest
Freestyle
Interest
Geometry Nodes
Interest
Grease Pencil
Interest
ID Management
Interest
Images & Movies
Interest
Import Export
Interest
Line Art
Interest
Masking
Interest
Metal
Interest
Modeling
Interest
Modifiers
Interest
Motion Tracking
Interest
Nodes & Physics
Interest
OpenGL
Interest
Overlay
Interest
Overrides
Interest
Performance
Interest
Physics
Interest
Pipeline, Assets & IO
Interest
Platforms, Builds & Tests
Interest
Python API
Interest
Render & Cycles
Interest
Render Pipeline
Interest
Sculpt, Paint & Texture
Interest
Text Editor
Interest
Translations
Interest
Triaging
Interest
Undo
Interest
USD
Interest
User Interface
Interest
UV Editing
Interest
VFX & Video
Interest
Video Sequencer
Interest
Virtual Reality
Interest
Vulkan
Interest
Wayland
Interest
Workbench
Interest: X11
Legacy
Asset Browser Project
Legacy
Blender 2.8 Project
Legacy
Milestone 1: Basic, Local Asset Browser
Legacy
OpenGL Error
Meta
Good First Issue
Meta
Papercut
Meta
Retrospective
Meta
Security
Module
Animation & Rigging
Module
Core
Module
Development Management
Module
EEVEE & Viewport
Module
Grease Pencil
Module
Modeling
Module
Nodes & Physics
Module
Pipeline, Assets & IO
Module
Platforms, Builds & Tests
Module
Python API
Module
Render & Cycles
Module
Sculpt, Paint & Texture
Module
Triaging
Module
User Interface
Module
VFX & Video
Platform
FreeBSD
Platform
Linux
Platform
macOS
Platform
Windows
Priority
High
Priority
Low
Priority
Normal
Priority
Unbreak Now!
Status
Archived
Status
Confirmed
Status
Duplicate
Status
Needs Info from Developers
Status
Needs Information from User
Status
Needs Triage
Status
Resolved
Type
Bug
Type
Design
Type
Known Issue
Type
Patch
Type
Report
Type
To Do
No Milestone
No project
No Assignees
3 Participants
Notifications
Due Date
The due date is invalid or out of range. Please use the format 'yyyy-mm-dd'.

No due date set.

Dependencies

No dependencies set.

Reference: blender/blender#114759
No description provided.